[Koha-patches] [PATCH 1/8] Add script to find source files that are not in UTF-8.

Lars Wirzenius lars at catalyst.net.nz
Thu Mar 25 23:11:05 CET 2010


---
 find-nonutf8 |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)
 create mode 100755 find-nonutf8

diff --git a/find-nonutf8 b/find-nonutf8
new file mode 100755
index 0000000..a6dd49d
--- /dev/null
+++ b/find-nonutf8
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Find Koha source files that are not in UTF-8. Non-textual files are ignored.
+# This script requires the isutf8 program from Joey Hess's moreutils package.
+# See <http://kitenet.net/~joey/code/moreutils/> for info.
+# 
+# Copyright 2010 Catalyst IT Ltd
+#
+# This file is part of Koha.
+#
+# Koha is free software; you can redistribute it and/or modify it under the
+# terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or (at your option) any later
+# version.
+#
+# Koha is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
+# A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with Koha; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+git ls-files |
+grep -Ev '\.(gif|jpg|png|pdf|ogg|psd|swf|odt|zip|ico|DS_Store|chr|dat)$' |
+while read filename
+do
+    if ! isutf8 -q "$filename" 
+    then
+        echo "$filename"
+    fi
+done
+
-- 
1.7.0



More information about the Koha-patches mailing list